## python-django-constance 2.9.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-constance.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-constance.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-constance"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-constance"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== example/requirements.txt ===
Django>=2.2
python-memcached

=== debian/changelog ===
python-django-constance (2.9.1-2) unstable; urgency=medium

  * Team upload.
  * No change source-only upload.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Nov 2022 12:50:19 -0500

python-django-constance (2.9.1-1) unstable; urgency=low

  * Initial release (Closes: #1023416).

 -- Michael Fladischer <fladi@debian.org>  Thu, 03 Nov 2022 19:39:33 +0000

=== debian/control ===
Source: python-django-constance
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python-django-doc,
 python3-all,
 python3-django,
 python3-django-picklefield,
 python3-doc,
 python3-mock,
 python3-pytest,
 python3-pytest-django,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.5.1
Homepage: https://github.com/jazzband/django-constance/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-constance
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-constance.git
Rules-Requires-Root: no

Package: python-django-constance-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Dynamic Django settings (Documentation)
 A Django app for storing dynamic settings in pluggable backends (Redis and
 Django model backend built in) with an integration with the Django admin app.
 .
 Features:
  * Easily migrate your static settings to dynamic settings.
  * Edit the dynamic settings in the Django admin interface.
 .
 This package contains the documentation.

Package: python3-django-constance
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-constance-doc,
Description: Dynamic Django settings (Python3 version)
 A Django app for storing dynamic settings in pluggable backends (Redis and
 Django model backend built in) with an integration with the Django admin app.
 .
 Features:
  * Easily migrate your static settings to dynamic settings.
  * Edit the dynamic settings in the Django admin interface.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-constance
export PYBUILD_TEST_ARGS=--ds=tests.settings
export PYTEST_PLUGINS=constance.test.pytest

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	set -e; \
	for loc in constance/locale/*; do \
		test -r $$loc/LC_MESSAGES/django.po &&\
			python3 setup.py compile_catalog --directory constance/locale/ --locale $$(basename $$loc) --domain django; \
	done

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-django-constance-doc/usr/share/doc/python-django-constance-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf $(CURDIR)/docs/.build/
	dh_clean

## python-django-constance 3.0.0

=== example/requirements.txt ===
Django>=3.2
pymemcache

=== debian/changelog ===
python-django-constance (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0
  * Refresh patches.
  * Bump Standards-Version to 4.6.2.
  * Update d/copyright with new years.
  * Build using pybuild-plugin-pyproject.
  * Simplify d/rules by using execute_ targets instead of overrides.
  * Setting the PYTEST_PLUGINS environment for constance.test.pytest is no
    longer required, handled by upstream test setup now.

 -- Michael Fladischer <fladi@debian.org>  Fri, 30 Jun 2023 10:47:35 +0000

## python-django-constance 3.1.0

=== docs/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from https://sphinx-doc.org/)
 endif
 
 # Internal variables.

=== debian/changelog ===
python-django-constance (3.1.0-2) unstable; urgency=medium

  * Team Upload
  * remove extraneous dependency on python3-mock
  * use new dh-sequence-python3
  * mark the -doc package "Multi-Arch: foreign"

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Mar 2024 21:59:44 +0100

python-django-constance (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0

 -- Michael Fladischer <fladi@debian.org>  Wed, 06 Sep 2023 07:07:37 +0000

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python-django-doc,
  python3-all,
  python3-django,
  python3-django-picklefield,
  python3-doc,
- python3-mock,
  python3-pytest,
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/jazzband/django-constance/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-constance
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-constance.git
@@ -27,6 +27,7 @@
 Package: python-django-constance-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
@@ -48,12 +49,10 @@
  ${python3:Depends},
 Suggests:
  python-django-constance-doc,
-Description: Dynamic Django settings (Python3 version)
+Description: Dynamic Django settings
  A Django app for storing dynamic settings in pluggable backends (Redis and
  Django model backend built in) with an integration with the Django admin app.
  .
  Features:
   * Easily migrate your static settings to dynamic settings.
   * Edit the dynamic settings in the Django admin interface.
- .
- This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-constance
export PYBUILD_TEST_ARGS=--ds=tests.settings

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	set -e; \
	for loc in constance/locale/*; do \
		test -r $$loc/LC_MESSAGES/django.po &&\
			python3 setup.py compile_catalog --directory constance/locale/ --locale $$(basename $$loc) --domain django; \
	done

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-django-constance-doc/usr/share/doc/python-django-constance-doc/html
endif

execute_after_dh_clean:
	rm -rf $(CURDIR)/docs/.build/

## python-django-constance 4.1.2

=== debian/changelog ===
python-django-constance (4.1.2-1) unstable; urgency=low

  * New upstream version 4.1.2
  * Refresh patches.
  * Bump Standards-Version to 4.7.0.
  * Update year in d/copyright.
  * Directly compile translations using babel.
  * Add patch to remove sphinx_search extension.
  * Add python3-redis to Build-Depends.

 -- Michael Fladischer <fladi@debian.org>  Sat, 19 Oct 2024 20:00:28 +0000

## python-django-constance 4.1.3

=== debian/changelog ===
python-django-constance (4.1.3-1) unstable; urgency=low

  * New upstream version 4.1.3

 -- Michael Fladischer <fladi@debian.org>  Thu, 21 Nov 2024 09:21:58 +0000

## python-django-constance 4.3.2

=== docs/requirements.txt ===
readthedocs-sphinx-search==0.3.2
sphinx==7.3.7
sphinx-rtd-theme==2.0.0

=== example/requirements.txt ===
Django>=3.2
Pillow
pymemcache

=== debian/changelog ===
python-django-constance (4.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Feb 2025 12:30:49 +0000

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,11 @@
  python3-doc,
  python3-pytest,
  python3-pytest-django,
+ python3-redis,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/jazzband/django-constance/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-constance
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-constance.git

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,9 @@
 
 execute_after_dh_auto_build:
 	set -e; \
-	for loc in constance/locale/*; do \
+	for loc in $(CURDIR)/constance/locale/*; do \
 		test -r $$loc/LC_MESSAGES/django.po &&\
-			python3 setup.py compile_catalog --directory constance/locale/ --locale $$(basename $$loc) --domain django; \
+			python3 -m babel.messages.frontend compile --directory=$(CURDIR)/constance/locale/ --locale=$$(basename $$loc) --domain=django; \
 	done
 
 execute_before_dh_sphinxdoc:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/python-django-constance-$1.tar.gz/ \
https://github.com/jazzband/django-constance/tags \
/jazzband/django-constance/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-django-constance 4.3.4

=== debian/changelog ===
python-django-constance (4.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Nov 2025 14:21:18 +0000
